Package: org.grails.async.factory.gpars

## [Groovy] Class GparsPromise<T>

- org.grails.async.factory.gpars.GparsPromise

- All Implemented Interfaces and Traits:
    Promise

      @groovy.transform.CompileStatic
      class GparsPromise
      extends java.lang.Object

  Implementation of Promise interface for Gpars

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovyx.gpars.dataflow.Promise` | `internalPromise`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GparsPromise (groovyx.gpars.dataflow.Promise internalPromise)`
    `GparsPromise (groovy.lang.Closure callable)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `T` | `get()`
    `T` | `get(long timeout, java.util.concurrent.TimeUnit units)`
    `Promise<T>` | `leftShift(groovy.lang.Closure callable)`
    `Promise` | `onComplete(groovy.lang.Closure callable)`
    `Promise` | `onError(groovy.lang.Closure callable)`
    `Promise` | `then(groovy.lang.Closure callable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### groovyx.gpars.dataflow.Promise internalPromise

  - ### Constructor Detail

    - #### GparsPromise(groovyx.gpars.dataflow.Promise internalPromise)

    - #### GparsPromise(groovy.lang.Closure callable)

  - ### Method Detail

    - #### T get()

    - #### T get(long timeout, java.util.concurrent.TimeUnit units)

    - #### Promise<T> leftShift(groovy.lang.Closure callable)

    - #### @java.lang.SuppressWarnings("unchecked") Promise onComplete(groovy.lang.Closure callable)

    - #### @java.lang.SuppressWarnings("unchecked") Promise onError(groovy.lang.Closure callable)

    - #### @java.lang.SuppressWarnings("unchecked") Promise then(groovy.lang.Closure callable)